# Uses of Interface
org.eclipse.microprofile.openapi.models.servers.ServerVariable

Packages that use ServerVariable
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3 documents from their JAX-RS applications.
org.eclipse.microprofile.openapi.models.servers
Model interfaces to represent servers used for a single API operation or for all operations in an OpenAPI document, as well as a way to represent variables for server URL template substitution.

## Uses of ServerVariable in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return ServerVariable
Modifier and Type
Method
Description
`static ServerVariable`
OASFactory.`createServerVariable()`
This method creates a new `ServerVariable` instance.

## Uses of ServerVariable in org.eclipse.microprofile.openapi.models.servers

Methods in org.eclipse.microprofile.openapi.models.servers that return ServerVariable
Modifier and Type
Method
Description
`ServerVariable`
ServerVariable.`addEnumeration(String enumeration)`
This method adds a string item to enumeration list of a ServerVariable instance and returns the instance.
`default ServerVariable`
ServerVariable.`defaultValue(String defaultValue)`
The default value to use for substitution, and to send, if an alternate value is not supplied.
`default ServerVariable`
ServerVariable.`description(String description)`
This method sets the description property of ServerVariable instance to the given description argument and returns the modeified instance.
`default ServerVariable`
ServerVariable.`enumeration(List<String> enumeration)`
This method sets the enumeration property of ServerVariable instance to the given enumeration argument and returns the modified instance.
Methods in org.eclipse.microprofile.openapi.models.servers that return types with arguments of type ServerVariable
Modifier and Type
Method
Description
`Map<String,ServerVariable>`
Server.`getVariables()`
This method returns the variables property of Server instance.
Methods in org.eclipse.microprofile.openapi.models.servers with parameters of type ServerVariable
Modifier and Type
Method
Description
`Server`
Server.`addVariable(String variableName, ServerVariable variable)`
Adds the given server variable item to the Server's map of variables.
Method parameters in org.eclipse.microprofile.openapi.models.servers with type arguments of type ServerVariable
Modifier and Type
Method
Description
`void`
Server.`setVariables(Map<String,ServerVariable> variables)`
This method sets the variables property of Server instance to the given variables argument.
`default Server`
Server.`variables(Map<String,ServerVariable> variables)`
This method sets the variables property of Server instance to the given variables argument and returns the modified instance.